#!/bin/sh

nodePid=`pidof $1`
memoryUsage=`cat /proc/$nodePid/stat | cut -d" " -f23`

if [ $memoryUsage -eq 0 ]
then 
	echo "-1"
else
	memoryUsage=`awk "BEGIN {printf \"%.0f\n\", ($memoryUsage/1024/1024*100)/100}"`
	echo "$memoryUsage"
fi
