/*! node-ati 2022-11-25 */
var p = require("./lib/utils/proxy.js");

module.exports = function(e, t, i, a) {
    e.get("/", p(t.index, t)), e.get("/login", p(t.login, t)), e.post("/login", p(t.loginUser, t)), 
    e.get("/login/:token", p(t.loginToken, t)), e.post("/api/register-user", p(t.createLoginTokenByUser, t)), 
    e.get("/api/validate-token/:token", p(t.checkToken, t)), e.get("/api/register-user", a, p(t.createLoginToken, t)), 
    e.get("/test", p(t.test, t)), e.get("/simulate", p(t.simulate, t)), e.get("/setup", a, p(t.setup, t)), 
    e.get("/config", a, p(i.config, i)), e.get("/config/load", a, p(i.load, i)), 
    e.get("/debug", a, p(t.debugTemperatures, t)), e.get("/api/version", a, p(t.version, t)), 
    e.get("/api/state", a, p(t.state, t)), e.get("/api/info", a, p(t.info, t)), 
    e.get("/api/user", a, p(t.user, t)), e.get("/api/uptime", a, p(t.uptime, t)), 
    e.get("/api/channels", a, p(t.channels, t)), e.post("/api/user", a, p(t.changeUserPassword, t)), 
    e.post("/api/start-up-time", a, p(t.setStartupTime, t)), e.get("/api/start-up-time", a, p(t.getStartupTime, t)), 
    e.post("/api/timezone", a, p(t.setTimezone, t)), e.get("/api/timezone", a, p(t.getTimezone, t)), 
    e.get("/api/timelines", a, p(t.timelines, t)), e.get("/api/timelinesCached", a, p(t.timelinesCached, t)), 
    e.get("/api/timelines-file", a, p(t.timelinesAsFile, t)), e.put("/api/timeline", a, p(t.timelinePut, t)), 
    e.post("/api/timeline", a, p(t.removeTimeline, t)), e.get("/api/spots", a, p(t.spots, t)), 
    e.put("/api/spots-active", a, p(t.spotsVisiblePut, t)), e.post("/api/reset-device", a, p(t.resetDevicePost, t)), 
    e.get("/api/colors", a, p(t.getColors, t)), e.get("/api/wifis", a, p(t.getWifis, t)), 
    e.get("/api/wifistatus", a, p(t.getWifiStatus, t)), e.get("/api/network", a, p(t.getNetworkConfig, t)), 
    e.post("/api/network", a, p(t.setNetworkConfig, t)), e.post("/api/hostname", a, p(t.setHostname, t)), 
    e.get("/api/hostname", a, p(t.getHostname, t)), e.get("/api/reboot", a, p(t.reboot, t)), 
    e.get("/api/timeinfo", a, p(t.getTimeInfo, t)), e.get("/api/timestring", a, p(t.getTimeString, t)), 
    e.get("/api/time", a, p(t.getTime, t)), e.post("/upload-settings", a, p(t.loadSettingsFile, t)), 
    e.get("/api/presettings", a, p(t.getPresettings, t)), e.post("/load-presettings", a, p(t.loadPresettings, t)), 
    e.get("/api/rawtemperatures", a, p(t.getRawTemperatures, t)), e.get("/api/create-support-file", a, p(t.createSupportFile, t)), 
    e.get("/api/support-file", a, p(t.getSupportFile, t)), e.get("/api/devices", a, p(t.getDevices, t)), 
    e.get("/api/login-page-info", p(t.getLoginPageInfo, t)), e.post("/firmware-update", a, p(t.postFirmwareUpdateFile, t)), 
    e.get("/firmware-update/:filename", a, p(t.executeFirmwareUpdateFile, t)), e.get("/api/check-online-firmware-update", a, p(t.checkFirmwareUpdateOnline, t)), 
    e.get("/api/download-online-firmware-update/:url", a, p(t.downloadFirmwareUpdateOnline, t)), 
    e.get("/api/ignoreHelpDialogs", a, p(t.getIgnoredHelpDialogs, t)), e.post("/api/ignoreHelpDialogs", a, p(t.ignoreHelpDialogs, t)), 
    e.post("/api/ignoreHelpDialog", a, p(t.ignoreHelpDialog, t)), e.put("/api/custom-presetting/:slotId", a, p(t.saveCustomPresetting, t));
};