#!/bin/sh

mac_id=$(sh /www/ati/scripts/get-id.sh)
ati_id=$( printf "ATI-Straton-%d" $mac_id )

if [ "" != "$(uci -q get ati.@ati[0].broadcastinterface)" ]
then
    uci delete ati.@ati[0].broadcastinterface
fi

$(/etc/init.d/ethernet-mode disable)
# recreate config for client (wan)
onion ethernet client
# set host mode
onion -t ethernet host
sleep 3
# set static ip
uci set network.lan.ipaddr='192.168.101.1'
uci commit
sh /www/ati/scripts/onion.set-network.sh "WIFI_AP" "$ati_id" "" "none"
uci commit
wifi
sleep 3
wifi