#!/bin/sh

mac_id=$(sh /www/ati/scripts/get-id.sh)
ati_id=$( printf "ATI-Straton-%d" $mac_id )

# set lan defaults
uci set network.lan.ipaddr='192.168.100.1'

# set wifi deaults
uci set wireless.ap.encryption='none'
local bExists=$(uci -q get wireless.ap.key)
if [ "$bExists" != "" ]; then
	uci delete wireless.ap.key
fi
uci set wireless.sta.disabled='1'
local bExists=$(uci -q get wireless.sta.key)
if [ "$bExists" != "" ]; then
	uci delete wireless.sta.key
fi

uci commit

sh /www/ati/scripts/linkit.set-network.sh "WIFI_AP" "$ati_id" "" "none"
uci commit
wifi
sleep 3
wifi