#!/bin/sh

if [ "" != "$(uci -q get ati.@ati[0].broadcastinterface)" ]
then
	echo $(ifconfig $(uci get ati.@ati[0].broadcastinterface) | awk '/inet addr/ {gsub("addr:", "", $2); print $2}')
	exit 0
fi

if test -e /sys/class/net/wlan0/address; then
	# check wlan0 interface is avaialble
	echo $(ifconfig wlan0 | awk '/inet addr/ {gsub("addr:", "", $2); print $2}')
elif [ "0" == "$(uci get wireless.sta.disabled)" ]
then
	# check if we are a wifi station
	echo $(ifconfig br-wanwifi | awk '/inet addr/ {gsub("addr:", "", $2); print $2}')
else
	echo $(ifconfig br-wlan | awk '/inet addr/ {gsub("addr:", "", $2); print $2}')
fi