#!/bin/sh

# $2 ... SSID
# $3 ... PASSWORD
# $4 ... ENCRYPTION

ssid="gallifrey"
password="3201195501555687"
encryption="PSK"

	echo "Configure Wifi Station..."
	appw=$(head /dev/urandom | tr -dc "0123456789abcdefghijklmnopqrstuvwxyz_-#!*" | cut -c 1-20)
	hostname=$(uci get system.@system[0].hostname)
#	wifisetup clear
#	wifisetup add -ssid "$ssid" -encr $encryption -password $password

	if [ "$(uci -q get wireless.\@wifi-config[0])" != "wifi-config" ]; then
		uci add wireless wifi-config > /dev/null
	fi

	uci -q batch <<EOF

set wireless.sta.encryption='$encryption'
set wireless.sta.key='$password'
set wireless.sta.ssid='$ssid'
set wireless.sta.network='wanwifi'
set wireless.sta.disabled='0'
set wireless.ap.disabled='0'
set wireless.sta.disabled='0'
set wireless.@wifi-config[0].ssid='$ssid'
set wireless.@wifi-config[0].encryption='$encryption'
set wireless.@wifi-config[0].key='$password'
set network.wanwifi=interface
set network.wanwifi.proto='dhcp'
set network.wanwifi.type='bridge'
set network.wanwifi.ifname='eth0'
set network.wanwifi.hostname='$hostname'
EOF

uci commit
